/* taulukko.c */ /* SJ 010498 */

#include <stdio.h>
#define LEVEYS 5
#define KORKEUS 3

int main()
{
  /* taulukoiden esittely */
  int A[LEVEYS];
  int C[LEVEYS] = { 42, 43, 44, 45, 46 };
  int D[KORKEUS][LEVEYS] = { { 1, 2, 3, 4, 5 },
							 { 9, 8, 7, 6, 5 },
							 { 4, 5, 6, 7, 8 } };

  int *b, i, j;

  /* täytetään taulukko A */
  A[0] = 11; A[1] = 12;
  A[2] = 13; A[3] = 14;
  A[4] = 15;

  /* tulostetaan taulukoiden A ja C sisältö */
  for (i = 0; i < LEVEYS; i++)
	  printf("A[%d] == %d ", i, A[i]);
  putchar('\n');

  for (i = 0; i < LEVEYS; i++)
	  printf("C[%d] == %d ", i, C[i]);
  putchar('\n');

  /* pelataan osoittimilla */
  /* piirrä kuva itse tapahtumista */

  b = A;
  *b = 99;

  b = &A[1];
  *b = 88;

  b = A+2;
  *b = 77;

  b++;
  *b = 66;

  /* tulostetaan A taas */
  for (i = 0; i < LEVEYS; i++)
	  printf("A[%d] == %d ", i, A[i]);
  putchar('\n');

  /* kaksiulotteinen taulukko */
  for (j = 0; j < KORKEUS; j++) {
	  for (i = 0; i < LEVEYS; i++)
		  printf("D[%d][%d] == %d ",
				 j, i, D[j][i]);
	  putchar('\n');
  }

  exit(0);
}
